Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTextArea.AccessibleJTextArea

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.text.JTextComponent.AccessibleJTextComponent
                        |
                        +--javax.swing.JTextArea.AccessibleJTextArea

protected class JTextArea.AccessibleJTextArea
extends JTextComponent.AccessibleJTextComponent

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `JTextArea.AccessibleJTextArea()`

Method Summary
`AccessibleStateSet` | `getAccessibleStateSet()` Gets the state set of this object.

Methods inherited from class javax.swing.text.JTextComponent.AccessibleJTextComponent
`caretUpdate, changedUpdate, getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, insertUpdate, removeUpdate`

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleSelection, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTextArea.AccessibleJTextArea

    protected JTextArea.AccessibleJTextArea()

Method Detail

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Gets the state set of this object.
  Returns:
    an instance of AccessibleStateSet describing the states of the object
  Overrides:
    getAccessibleStateSet in class JTextComponent.AccessibleJTextComponent
  See Also:
    `AccessibleStateSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.